<?php
namespace PME\Controllers\Parametrizacao;

use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DTO;

class RelatorioComensaisEstimados extends \Zeedhi\Framework\Controller\Report {

    protected $birtStrategy;
    protected $utilities;

    public function __construct(ReportService $reportService, $birtStrategy, $utilities) {
      $this->birtStrategy  = $birtStrategy;
      $this->utilities   = $utilities;

      parent::__construct($reportService);
    }
    
    protected $reportMapping = array (
      'PME00500' => 
      array (
        'strategy' => 'BIRT',
        'parameterMapping' =>
        array (
          "CENTRAL"  => "P_CDFILCENTPME",
          "UNIDADE"  => "P_CDFILIAL",
          "TIPOCARD" => "P_CDTPCARD",
          "SERVICO"  => "P_CDSERVFILI",
          "NRORG"    => "P_NRORG",
          "NMFILIAL" => "P_NMFILCENTPME"
        )
      ),
      'PME00501' => 
      array (
        'strategy' => 'BIRT',
        'parameterMapping' => 
        array (
          "NRORG"    => "P_NRORG",
          "CENTRAL"  => "P_CDFILCENTPME",
          "UNIDADE"  => "P_CDFILIAL",
          "TIPOCARD" => "P_CDTPCARD",
          "SERVICO"  => "P_CDSERVFILI",
          "NMFILIAL" => "P_NMFILCENTPME"
        )
      )
    );
    
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {
      $row = $request->getRow();
      $nrorg = $this->utilities->getNrOrg();
      
      $row['NRORG'] = $nrorg;
      $row['CENTRAL'] = $row['CENTRAL']['CDFILIAL'];
      
      if (count($row['TIPOCARD']) === 0) $row['TIPOCARD'] = 'T';
      else $row['TIPOCARD'] = join("_", $row['TIPOCARD']);
      
      if (count($row['UNIDADE']) === 0) $row['UNIDADE'] = 'T';
      else $row['UNIDADE'] = join("_", $row['UNIDADE']);
      
      if (count($row['SERVICO']) === 0) $row['SERVICO'] = 'T';
      else $row['SERVICO'] = join("_", $row['SERVICO']);

      $this->birtStrategy->setReportLocale($this->utilities->getLanguage());
      $this->birtStrategy->setReportFormat(strtolower($row['reportFormat']));
    }
}