package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginPMEFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.RevisaoReceitasPMEPage;
import org.testng.annotations.Test;

public class RevisaoReceitasPMETest extends TestBase {
    MainPage mainPage;
    MainFlows mainFlows;
    RevisaoReceitasPMEPage revisaoreceitaspage;
    LoginPMEFlows loginpmeflows;

    //Tests - Destino Tipo Cardp
    @Test
    public void ReceitaServicoReceitaTipoCardp(){
        mainPage = new MainPage();

        loginpmeflows = new LoginPMEFlows();
        mainFlows = new MainFlows();
        revisaoreceitaspage = new RevisaoReceitasPMEPage ();

        String usuario = "francielly.automacao";
        String senha = "Teknisa2023*";

        loginpmeflows.efetuarloginpme(usuario, senha);
        revisaoreceitaspage.AcessarTela();
        revisaoreceitaspage.TelaRevisarReceita();
        revisaoreceitaspage.InformarDadosReceitaOrigem();
        revisaoreceitaspage.PratoInicial();
        revisaoreceitaspage.PratoFinal();
        revisaoreceitaspage.SelecionarPrato();
        revisaoreceitaspage.InformarQuantidadePessoa();
        revisaoreceitaspage.InformarDestinoTipoCard();
        revisaoreceitaspage.Confirmar();
    }

    //Tests - Destino Local
    @Test
    public void ReceitaServicoReceitaLocal(){
        mainPage = new MainPage();

        loginpmeflows = new LoginPMEFlows();
        mainFlows = new MainFlows();
        revisaoreceitaspage = new RevisaoReceitasPMEPage ();

        String usuario = "francielly.automacao";
        String senha = "Teknisa2023*";

        loginpmeflows.efetuarloginpme(usuario, senha);
        revisaoreceitaspage.AcessarTela();
        revisaoreceitaspage.TelaRevisarReceita();
        revisaoreceitaspage.InformarDadosReceitaOrigem();
        revisaoreceitaspage.PratoInicial();
        revisaoreceitaspage.PratoFinal();
        revisaoreceitaspage.SelecionarPrato();
        revisaoreceitaspage.InformarQuantidadePessoa();
        revisaoreceitaspage.InformarDestinoLocal();
        revisaoreceitaspage.Confirmar();
    }

    //Tests - Destino Local
    @Test
    public void ReceitaServicoReceitaPadrao(){
        mainPage = new MainPage();

        loginpmeflows = new LoginPMEFlows();
        mainFlows = new MainFlows();
        revisaoreceitaspage = new RevisaoReceitasPMEPage ();

        String usuario = "francielly.automacao";
        String senha = "Teknisa2023*";

        loginpmeflows.efetuarloginpme(usuario, senha);
        revisaoreceitaspage.AcessarTela();
        revisaoreceitaspage.TelaRevisarReceita();
        revisaoreceitaspage.InformarDadosReceitaOrigem();
        revisaoreceitaspage.PratoInicial();
        revisaoreceitaspage.PratoFinal();
        revisaoreceitaspage.SelecionarPrato();
        revisaoreceitaspage.InformarQuantidadePessoa();
        revisaoreceitaspage.Confirmar();
    }
}
